Bug 2093437 - state no longer required for masquerade and ICMP block inversion
Summary: state no longer required for masquerade and ICMP block inversion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.7
Assignee: Rich Megginson
QA Contact: David Jež
Gabi Fialová
URL:
Whiteboard: role:firewall
Depends On: 2093423
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-03 17:21 UTC by Rich Megginson
Modified: 2023-02-10 07:38 UTC (History)
6 users (show)

Fixed In Version: rhel-system-roles-1.19.1-1.el8
Doc Type: Enhancement
Doc Text:
.The `firewall` RHEL System Role does not require the `state` parameter when configuring `masquerade` or `icmp_block_inversion` When configuring custom firewall zones, variables `masquerade` and `icmp_block_inversion` are boolean settings. A value of `true` implies `state: present` and a value of `false` implies `state: absent`. Therefore, the `state` parameter is not required when configuring `masquerade` or `icmp_block_inversion`.
Clone Of: 2093423
Environment:
Last Closed: 2022-11-08 09:41:25 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-124239 0 None None None 2023-02-10 07:38:24 UTC
Red Hat Product Errata RHEA-2022:7568 0 None None None 2022-11-08 09:41:41 UTC

Description Rich Megginson 2022-06-03 17:21:23 UTC
+++ This bug was initially created as a clone of Bug #2093423 +++

the state parameter is not required when setting masquerade or ICMP block inversion

Comment 11 errata-xmlrpc 2022-11-08 09:41:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (rhel-system-roles bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2022:7568


Note You need to log in before you can comment on or make changes to this bug.